curl --request POST \
--url https://platform.versori.com/api/connect/v1/o/{organisation_id}/protocols/http/import \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file'{
"connector": {
"id": "<string>",
"organisationId": "<string>",
"name": "<string>",
"public": true,
"authSchemeConfigs": [
{
"id": "<string>",
"description": "<string>",
"schemeType": "<string>",
"validationMessages": [
{
"text": "<string>",
"detail": [
"<string>"
]
}
]
}
],
"connections": [
{
"id": "<string>",
"name": "<string>",
"credentials": {
"action": [
{
"id": "<string>",
"authSchemeConfig": {
"id": "<string>",
"description": "<string>",
"schemeType": "<string>",
"validationMessages": [
{
"text": "<string>",
"detail": [
"<string>"
]
}
]
},
"credential": {
"id": "<string>",
"organisationId": "<string>",
"name": "<string>",
"data": {},
"usages": [
{
"connection": {
"id": "<string>",
"name": "<string>",
"connector": {
"id": "<string>",
"organisationId": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}
],
"errors": [
"<string>"
],
"expiresAt": "2023-11-07T05:31:56Z"
}
}
],
"trigger": [
{
"id": "<string>",
"authSchemeConfig": {
"id": "<string>",
"description": "<string>",
"schemeType": "<string>",
"validationMessages": [
{
"text": "<string>",
"detail": [
"<string>"
]
}
]
},
"credential": {
"id": "<string>",
"organisationId": "<string>",
"name": "<string>",
"data": {},
"usages": [
{
"connection": {
"id": "<string>",
"name": "<string>",
"connector": {
"id": "<string>",
"organisationId": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}
],
"errors": [
"<string>"
],
"expiresAt": "2023-11-07T05:31:56Z"
}
}
]
},
"variables": [
{
"name": "<string>",
"value": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"versions": [
{
"id": "<string>",
"name": "<string>",
"isLatest": true,
"isDefault": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"publishedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"messages": [
{
"text": "<string>",
"detail": [
"<string>"
]
}
]
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"baseUrl": "<string>",
"documentationURL": "<string>",
"imageURL": "<string>",
"tags": {},
"connectionVariables": [
{
"name": "<string>",
"value": "<string>"
}
]
},
"definitions": [
{
"id": "<string>",
"name": "<string>",
"accept": [
"<string>"
],
"url": "<string>",
"description": "<string>",
"referencedBy": [
{
"id": "<string>",
"name": "<string>"
}
]
}
],
"actions": [
{
"id": "<string>",
"name": "<string>",
"path": "<string>",
"parameters": [
{
"name": "<string>",
"required": true,
"default": "<unknown>",
"completion": {}
}
],
"responses": [
{
"id": "<string>",
"definitions": [
{
"id": "<string>",
"definition": {
"id": "<string>",
"name": "<string>",
"accept": [
"<string>"
],
"url": "<string>",
"description": "<string>",
"referencedBy": [
{
"id": "<string>",
"name": "<string>"
}
]
}
}
],
"status": 123
}
],
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"summary": "<string>",
"description": "<string>",
"requestBody": {
"required": true,
"definitions": [
{
"id": "<string>",
"definition": {
"id": "<string>",
"name": "<string>",
"accept": [
"<string>"
],
"url": "<string>",
"description": "<string>",
"referencedBy": [
{
"id": "<string>",
"name": "<string>"
}
]
}
}
]
}
}
],
"triggers": [
{
"id": "<string>",
"name": "<string>",
"parameters": [
{
"name": "<string>",
"required": true,
"default": "<unknown>"
}
],
"responses": [
{
"id": "<string>",
"definitions": [
{
"id": "<string>",
"definition": {
"id": "<string>",
"name": "<string>",
"accept": [
"<string>"
],
"url": "<string>",
"description": "<string>",
"referencedBy": [
{
"id": "<string>",
"name": "<string>"
}
]
}
}
],
"status": 123
}
],
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"summary": "<string>",
"description": "<string>",
"requestBody": {
"required": true,
"definitions": [
{
"id": "<string>",
"definition": {
"id": "<string>",
"name": "<string>",
"accept": [
"<string>"
],
"url": "<string>",
"description": "<string>",
"referencedBy": [
{
"id": "<string>",
"name": "<string>"
}
]
}
}
]
}
}
],
"messages": [
{
"text": "<string>",
"detail": [
"<string>"
]
}
]
}Import HTTP Connector
ImportHTTPConnector imports a Connector from another format such as OpenAPI or Postman Collections.
The Connector will be created in a draft state and will need to be published before it can be used in a live board.
curl --request POST \
--url https://platform.versori.com/api/connect/v1/o/{organisation_id}/protocols/http/import \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file'{
"connector": {
"id": "<string>",
"organisationId": "<string>",
"name": "<string>",
"public": true,
"authSchemeConfigs": [
{
"id": "<string>",
"description": "<string>",
"schemeType": "<string>",
"validationMessages": [
{
"text": "<string>",
"detail": [
"<string>"
]
}
]
}
],
"connections": [
{
"id": "<string>",
"name": "<string>",
"credentials": {
"action": [
{
"id": "<string>",
"authSchemeConfig": {
"id": "<string>",
"description": "<string>",
"schemeType": "<string>",
"validationMessages": [
{
"text": "<string>",
"detail": [
"<string>"
]
}
]
},
"credential": {
"id": "<string>",
"organisationId": "<string>",
"name": "<string>",
"data": {},
"usages": [
{
"connection": {
"id": "<string>",
"name": "<string>",
"connector": {
"id": "<string>",
"organisationId": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}
],
"errors": [
"<string>"
],
"expiresAt": "2023-11-07T05:31:56Z"
}
}
],
"trigger": [
{
"id": "<string>",
"authSchemeConfig": {
"id": "<string>",
"description": "<string>",
"schemeType": "<string>",
"validationMessages": [
{
"text": "<string>",
"detail": [
"<string>"
]
}
]
},
"credential": {
"id": "<string>",
"organisationId": "<string>",
"name": "<string>",
"data": {},
"usages": [
{
"connection": {
"id": "<string>",
"name": "<string>",
"connector": {
"id": "<string>",
"organisationId": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}
],
"errors": [
"<string>"
],
"expiresAt": "2023-11-07T05:31:56Z"
}
}
]
},
"variables": [
{
"name": "<string>",
"value": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"versions": [
{
"id": "<string>",
"name": "<string>",
"isLatest": true,
"isDefault": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"publishedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"messages": [
{
"text": "<string>",
"detail": [
"<string>"
]
}
]
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"baseUrl": "<string>",
"documentationURL": "<string>",
"imageURL": "<string>",
"tags": {},
"connectionVariables": [
{
"name": "<string>",
"value": "<string>"
}
]
},
"definitions": [
{
"id": "<string>",
"name": "<string>",
"accept": [
"<string>"
],
"url": "<string>",
"description": "<string>",
"referencedBy": [
{
"id": "<string>",
"name": "<string>"
}
]
}
],
"actions": [
{
"id": "<string>",
"name": "<string>",
"path": "<string>",
"parameters": [
{
"name": "<string>",
"required": true,
"default": "<unknown>",
"completion": {}
}
],
"responses": [
{
"id": "<string>",
"definitions": [
{
"id": "<string>",
"definition": {
"id": "<string>",
"name": "<string>",
"accept": [
"<string>"
],
"url": "<string>",
"description": "<string>",
"referencedBy": [
{
"id": "<string>",
"name": "<string>"
}
]
}
}
],
"status": 123
}
],
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"summary": "<string>",
"description": "<string>",
"requestBody": {
"required": true,
"definitions": [
{
"id": "<string>",
"definition": {
"id": "<string>",
"name": "<string>",
"accept": [
"<string>"
],
"url": "<string>",
"description": "<string>",
"referencedBy": [
{
"id": "<string>",
"name": "<string>"
}
]
}
}
]
}
}
],
"triggers": [
{
"id": "<string>",
"name": "<string>",
"parameters": [
{
"name": "<string>",
"required": true,
"default": "<unknown>"
}
],
"responses": [
{
"id": "<string>",
"definitions": [
{
"id": "<string>",
"definition": {
"id": "<string>",
"name": "<string>",
"accept": [
"<string>"
],
"url": "<string>",
"description": "<string>",
"referencedBy": [
{
"id": "<string>",
"name": "<string>"
}
]
}
}
],
"status": 123
}
],
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"summary": "<string>",
"description": "<string>",
"requestBody": {
"required": true,
"definitions": [
{
"id": "<string>",
"definition": {
"id": "<string>",
"name": "<string>",
"accept": [
"<string>"
],
"url": "<string>",
"description": "<string>",
"referencedBy": [
{
"id": "<string>",
"name": "<string>"
}
]
}
}
]
}
}
],
"messages": [
{
"text": "<string>",
"detail": [
"<string>"
]
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.versori.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Bearer token authentication used by the Versori Platform. External consumers must provide an API key, however internal consumers must provide a JWT id_token issued by our IdP.
Path Parameters
Body
Response
Created
ImportHTTPConnectorResult defines the result of importing a Connector from an external format, such as OpenAPI.
HTTPConnector represents a connector to an external system over HTTP.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes